Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AblePolicyEngine.EligibleRuleListEntry_

    java.lang.Object
      com.ibm.able.rules.AblePolicyEngine.EligibleRuleListEntry_

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AblePolicyEngine

public final class AblePolicyEngine.EligibleRuleListEntry_
extends java.lang.Object
implements java.io.Serializable

This class is used to cache a rule with its current business value (priority) and an instance of this class becomes an element in a list of rules that are eligible to fire.

See Also:
  Serialized Form

Constructor Summary
`AblePolicyEngine.EligibleRuleListEntry_(AblePolicyEngine.EligibleRuleListEntry_ theEligibleRuleListEntry)`
`AblePolicyEngine.EligibleRuleListEntry_(AbleRule theRule, double theBusinessValue)`

Method Summary
`double` | `getBusinessValue()`
`AbleRule` | `getRule()`
`java.lang.String` | `prettyPrint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AblePolicyEngine.EligibleRuleListEntry_

    public AblePolicyEngine.EligibleRuleListEntry_(AbleRule theRule,
                                                   double theBusinessValue)

### AblePolicyEngine.EligibleRuleListEntry_

    public AblePolicyEngine.EligibleRuleListEntry_(AblePolicyEngine.EligibleRuleListEntry_ theEligibleRuleListEntry)

Method Detail

### getRule

    public AbleRule getRule()

### getBusinessValue

    public double getBusinessValue()

### prettyPrint

    public java.lang.String prettyPrint()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005